RDMnet::RPT::COMMAND::command_data Struct Reference

The command_data struct. More...

`#include <rpt.h>`

Inheritance diagram for RDMnet::RPT::COMMAND::command_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| command_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| command_data::oStream More...

## Public Attributes

RDM::Message | message
| RDM message.

## Detailed Description

The command_data struct.

## Member Function Documentation

## iStream()

void RDMnet::RPT::COMMAND::command_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

command_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## oStream()

void RDMnet::RPT::COMMAND::command_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

command_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

## streamSize()

size_t RDMnet::RPT::COMMAND::command_data::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.cpp